Langsung ke konten utama
GET
/
v3
/
orders
/
{id}
/
message-history
Get order message history
curl --request GET \
  --url https://api.scalev.com/v3/orders/{id}/message-history \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "public_order_url": "<string>",
  "payment_url": "<string>",
  "message_history": [
    {
      "id": 123,
      "is_from_bot": true,
      "message": "<string>",
      "name": "<string>",
      "provider": "<string>",
      "recipient_name": "<string>",
      "recipient_phone": "<string>",
      "sender_name": "<string>",
      "sender_phone": "<string>",
      "timestamp": "2023-11-07T05:31:56Z"
    }
  ]
}

Otorisasi

Authorization
string
header
wajib

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parameter Path

id
string
wajib

Canonical UUIDv7 order primary key. For migrated orders, legacy numeric core_order.id values remain accepted for compatibility.

Respons

Message history retrieved

id
string<uuid>

Canonical UUIDv7 order primary key returned by the partitioned orders table.

public_order_url
string<uri> | null

Public order URL built from metadata.custom_domain_full_url and secret_slug.

payment_url
string<uri> | null

Payment URL built from public_order_url with /success appended.

message_history
MessageHistoryItem · object[]

Message history associated with the order